Name: mldonkey
Version: 2.5.4
Release: alt1

Group: Networking/File transfer
Summary: Door to the 'donkey' network
URL: http://www.mldonkey.net/
License: GPL
Packager: Nazar Yurpeak <phoenix@altlinux.org>
Source: http://savannah.nongnu.org/download/mldonkey/stable/%name-%version.tar.bz2
Source1: %name.sh
Source2: %name.menu

#Patch0: %name-%version-commonOptions.patch
Patch1: %name-%version-ocamlvesrion.patch
%set_verify_elf_method relaxed
 

# Automatically added by buildreq on Fri Nov 14 2003 (-bi)
BuildRequires: XFree86-devel camlp4 glib-devel gtk+-devel lablgtk mldonkey-server nedit ocaml-runtime perl-URI perl-libwww-perl wget zlib-devel

%description
MLDonkey is a door to the 'donkey' network, a decentralized network used to     
exchange big files on the Internet. It is written in a wonderful language,      
called Objective-Caml, and present most features of the basic Windows donkey    
client, plus some more:                                                         
  - It should work on most UNIX-compatible platforms.                           
  - You can remotely command your client, either by telnet, on a WEB browser,   
    or with the GTK interface.                                                  
  - You can connect to several servers, and each search will query all the      
    connected servers.                                                         
  - You can select mp3s by bitrates in queries (useful ?).                      
  - You can select the name of a downloaded file before moving it to your       
    incoming directory.                                                         
  - You can have several queries in the graphical user interface at the same    
    time.                                                                      
  - You can remember your old queries results in the command-line interface.    
  - You can search in the history of all files you have seen on the network.    
                                                                       
It can also access other peer-to-peer networks :                                
- Direct Connect                                                                
- Open Napster                                                                  
- Gnutella LimeWire
- Soulseek                                                                      
- Audio Galaxy                                                                  
- OpenFT

%package server
Group: Networking/File transfer
Summary: eDonkey2000 server
License: GPL

%description server
MLdonkey is a peer-to-peer file-sharing client completely written 
in Objective-Caml, that can be used to access the eDonkey2000, 
Overnet, Gnutella, Direct Client and Soulseek networks. It supports 
downloads from multiple sources and corruption detection, complex 
search requests, chat with friends, internationalization, history of 
search results, etc...

%package client
Group: Networking/File transfer
Summary: Graphical frontend for mldonkey based on GTK
License: GPL

%description client
The GTK interface for mldonkey provides a convenient way of managing            
all mldonkey operations. It gives details about conected servers,               
downloaded files, friends and lets one search for files in a pleasing           
way.

%prep
%setup -q
#%patch0 -p1
%patch1 -p1

%build
%configure --enable-batch \
	   --enable-ocamlver=3.07
%make_build

%install
mkdir -p $RPM_BUILD_ROOT%_libdir/%name
mkdir -p $RPM_BUILD_ROOT%_bindir
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
mkdir -p $RPM_BUILD_ROOT%_menudir

#rm -Rf distrib/CVS/
cp -R distrib/* $RPM_BUILD_ROOT%_libdir/%name
install -pD -m755 mlchat $RPM_BUILD_ROOT%_bindir/mlchat
#install -pD -m755 mldc $RPM_BUILD_ROOT%_bindir/mldc
#install -pD -m755 mldc+gui $RPM_BUILD_ROOT%_bindir/mldc+gui
install -pD -m755 mlim $RPM_BUILD_ROOT%_bindir/mlim
#install -pD -m755 mlgnut $RPM_BUILD_ROOT%_bindir/mlgnut
#install -pD -m755 mlgnut+gui $RPM_BUILD_ROOT%_bindir/mlgnut+gui
#install -pD -m755 mlnap $RPM_BUILD_ROOT%_bindir/mlnap
#install -pD -m755 mlnap+gui $RPM_BUILD_ROOT%_bindir/mlnap+gui
install -pD -m755 mlnet $RPM_BUILD_ROOT%_bindir/mlnet
install -pD -m755 mlnet+gui $RPM_BUILD_ROOT%_bindir/mlnet+gui
#install -pD -m755 mlslsk $RPM_BUILD_ROOT%_bindir/mlslsk
#install -pD -m755 mlslsk+gui $RPM_BUILD_ROOT%_bindir/mlslsk+gui
#install -pD -m755 %name $RPM_BUILD_ROOT%_bindir/%name.bin
install -pD -m755 mlgui $RPM_BUILD_ROOT%_bindir/mlgui
#install -pD -m755 mldonkey_gui2 $RPM_BUILD_ROOT%_bindir/mldonkey_gui2
install -pD -m755 %SOURCE1 $RPM_BUILD_ROOT%_bindir/%name
install -pD -m755 mlguistarter $RPM_BUILD_ROOT%_bindir/mlguistarter
#install -pD -m755 use_tags $RPM_BUILD_ROOT%_bindir/use_tags
install -pD -m755 distrib/mldonkey_previewer $RPM_BUILD_ROOT%_bindir/mldonkey_previewer

## menu ##
install -p -m644 -D %SOURCE2 $RPM_BUILD_ROOT%_menudir/%name
install -p -m644 packages/rpm/%name-icon-16.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
install -p -m644 packages/rpm/%name-icon-32.png $RPM_BUILD_ROOT/%_miconsdir/%name.png
install -p -m644 packages/rpm/%name-icon-48.png $RPM_BUILD_ROOT/%_liconsdir/%name.png

%post client
%update_menus

%postun client
%clean_menus

%files server
#%_bindir/%name.bin
%_bindir/%name
#%_bindir/mldc
#%_bindir/mlgnut
#%_bindir/mlnap
%_bindir/mlnet
#%_bindir/mlslsk

%files client
#%_bindir/use_tags
%_bindir/mlgui
#%_bindir/mldonkey_gui2
#%_bindir/mldc+gui
#%_bindir/mlgnut
#%_bindir/mlgnut+gui
%_bindir/mlim
%_bindir/mlnet+gui
#%_bindir/mlslsk+gui
%_bindir/%name
%_bindir/mlguistarter
%_bindir/mldonkey_previewer
%_bindir/mlchat
%dir %_libdir/%name
%_libdir/%name/*
%_menudir/%name
%_iconsdir/%name.png
%_miconsdir/%name.png
%_liconsdir/%name.png

%changelog
* Fri Nov 14 2003 Nazar Yurpeak <phoenix@altlinux.org> 2.5.4-alt1
- 2.5.4

* Mon Oct 06 2003 Nazar Yurpeak <phoenix@altlinux.org> 2.5.3-alt2
- fixed BuildRequires

* Wed Jun 11 2003 Nazar Yurpeak <phoenix@altlinux.ru> 2.5.3-alt1
- new version

* Tue May 27 2003 Nazar Yurpeak <phoenix@altlinux.ru> 2.5.0-alt1
- new version

* Tue May 27 2003 Nazar Yurpeak <phoenix@altlinux.ru> 2.04.01-alt1
- new version
- added menu

* Mon Mar 31 2003 Nazar Yurpeak <phoenix@altlinux.ru> 2.04rc1-alt1
- 2.04rc1
- fixed Ocaml version

* Tue Feb 11 2003 Nazar Yurpeak <phoenix@altlinux.ru> 2.00-alt3
- removed Serial
- changed URL
- changed description
- changed mldonkey.sh
- removed make depend

* Mon Oct 28 2002 Nazar Yurpeak <phoenix@altlinux.ru> 1:2.00-alt2
- spec cleanup

* Mon Oct 21 2002 Nazar Yurpeak <phoenix@altlinux.ru> 1:2.00-alt1
- realese 2.00 

